@use "sass:math";

$seafoam: #f5f8f7;
$midnight: #004152;
$buoylight: #cdf8eb;
$buoy: #00BEA2;
$poollight: #c2f7ff;
$pool: #008CE6;
$sunset: #ffc8be;
$mist: #F5F5F0;
$dancefloor: #5A1EB4;
$action: #00ecc9;
$action-h:#6dffdc;
$white: #ffffff;
$black: #000000;
$silver: #a0aaaf;
$gold: #b9a879;
$cargo: #004895;

@font-face {
  font-family: GTWalsheim;
  src: url("./../assets/GTWalsheim-Regular.woff");
}

html {
  background: $seafoam;
  font-family: "GTWalsheim";
}

$max-width: 100%;

$grid: (
(xs, 360px, 328px, 16px, 16px, 4),
(sm, 600px, 560px, 16px, 20px, 6),
(md, 800px, 744px, 24px, 28px, 6),
(lg, 1024px, 960px, 24px, 32px, 12),
(xl, 1288px, 1224px, 24px, 32px, 12)
) !default;

@each $name, $size, $container, $gutter, $margin, $columns in $grid {
  
  @media only screen and (min-width: $size) {
    .container {
      max-width: $container;
      margin: 0 auto;
      padding: $margin;
      &.bg-white {
        background: $white;
      }
      &.bg-transparent {
        background: transparent;
      }
    }
    
    .container-row {
      display: flex;
      flex-wrap: wrap;
      margin: 0 -#{$gutter / 2}
    }
    
    @for $i from 1 through $columns {
      .col-#{$name}-#{$i} {
        flex-basis: calc((100% / #{$columns} * #{$i}) - #{$gutter});
        max-width: calc((100% / #{$columns} * #{$i}) - #{$gutter});
        margin: 0 #{$gutter / 2};
      }
      
    }
    
    .gridruler {
      display: grid;
      grid-template-columns: repeat($columns, 1fr);
      position: sticky;
      width: 100%;
      height: 100vh;
      top:0;
      bottom: 0;
      column-gap: $gutter;
      max-width: $container;
      &_item {
        background-color: red;
        opacity: .1;
      }
    }
    .card_image {
      &.mobile_image {
        width: calc(100% + #{$gutter * 2} );
        margin: -#{$gutter} -#{$gutter} 0;
        @media only screen and (min-width: 600px) {
          width: 100%;
          margin: 0;
        } 
      }
    }
  }
}


.card {
  display: flex;
  flex-direction: column;
  color: $midnight;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.38;
  img {
    width: 100%
  }
  a {
    color: $buoy;
    text-decoration: none;
    font-weight: 700;
    margin-top: 16px;
  }
  h3, .h3 {
    font-size: 24px;
    font-weight: 700;
    line-height: 1.25;
  }
  p {
    margin-top: 0px;
  }
}

.d-none {
  display: none!important;
}

* {
  box-sizing: border-box;
}